Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class Border

    java.lang.Object
      nextapp.echo2.app.Border

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BorderEx

    public class Border

extends java.lang.Object
implements java.io.Serializable

A representation of a simple border.

See Also:
  Serialized Form

Field Summary
`static int` | `STYLE_DASHED` A border style that appears as a series of short line segments.
`static int` | `STYLE_DOTTED` A border style that appears as a series of dots.
`static int` | `STYLE_DOUBLE` A border style that creates two solid monochrome borders around an object.
`static int` | `STYLE_GROOVE` A border style that causes a simulated 3D border to be rendered, such that the border appears to have been carved out.
`static int` | `STYLE_INSET` A border style that causes a simulated 3D border to be rendered, such that an object appears recessed.
`static int` | `STYLE_NONE` A border style that causes no border to be rendered.
`static int` | `STYLE_OUTSET` A border style that causes a simulated 3D border to be rendered, such that an object appears raised.
`static int` | `STYLE_RIDGE` A border style that causes a simulated 3D border to be rendered, such that the border appears as a ridge around an object.
`static int` | `STYLE_SOLID` A border style that causes a single solid monochrome border around an object.

Constructor Summary
`Border(Extent size, Color color, int style)` Creates a new `Border`.
`Border(int sizePx, Color color, int style)` Creates a new `Border` with a pixel-based size.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Color` | `getColor()` Returns the border color.
`Extent` | `getSize()` Returns the border size.
`int` | `getStyle()` Returns the border style.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_NONE

    public static final int STYLE_NONE

  A border style that causes no border to be rendered.

  See Also:
    Constant Field Values

### STYLE_SOLID

    public static final int STYLE_SOLID

  A border style that causes a single solid monochrome border around an object.

  See Also:
    Constant Field Values

### STYLE_INSET

    public static final int STYLE_INSET

  A border style that causes a simulated 3D border to be rendered, such that an object appears recessed.

  See Also:
    Constant Field Values

### STYLE_OUTSET

    public static final int STYLE_OUTSET

  A border style that causes a simulated 3D border to be rendered, such that an object appears raised.

  See Also:
    Constant Field Values

### STYLE_GROOVE

    public static final int STYLE_GROOVE

  A border style that causes a simulated 3D border to be rendered, such that the border appears to have been carved out.

  See Also:
    Constant Field Values

### STYLE_RIDGE

    public static final int STYLE_RIDGE

  A border style that causes a simulated 3D border to be rendered, such that the border appears as a ridge around an object.

  See Also:
    Constant Field Values

### STYLE_DOUBLE

    public static final int STYLE_DOUBLE

  A border style that creates two solid monochrome borders around an object.

  See Also:
    Constant Field Values

### STYLE_DOTTED

    public static final int STYLE_DOTTED

  A border style that appears as a series of dots.

  See Also:
    Constant Field Values

### STYLE_DASHED

    public static final int STYLE_DASHED

  A border style that appears as a series of short line segments.

  See Also:
    Constant Field Values

Constructor Detail

### Border

    public Border(int sizePx,
                  Color color,
                  int style)

  Creates a new `Border` with a pixel-based size.

  Parameters:
    `sizePx` - the size of the border, in pixels
    `color` - the color of the border
    `style` - the style of the border, one of the following constant values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### Border

    public Border(Extent size,
                  Color color,
                  int style)

  Creates a new `Border`.

  Parameters:
    `size` - the size of the border (this property only supports `Extent`s with fixed (i.e., not percent) units)
    `color` - the color of the border
    `style` - the style of the border, one of the following constant values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getColor

    public Color getColor()

  Returns the border color.

  Returns:
    the color

### getSize

    public Extent getSize()

  Returns the border size. This property only supports `Extent`s with fixed (i.e., not percent) units.

  Returns:
    the size

### getStyle

    public int getStyle()

  Returns the border style.

  Returns:
    the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD